/*
 * Copyright (C) 2002  Olaf Beck <olaf_sc@yahoo.com>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
/* Global variables */
extern uint8_t * pes_a;

extern uint8_t * pes_v;

extern int first_chunk;

extern int skiptorecord;

/* Our counter for the number of chunks in our chunk buffer */
extern int realchunk_nr;

/* Our two main pes structurs where we store the data */
extern video_pes_t * m_video_pes;
extern audio_pes_t * m_audio_pes;

/*Counters for the number of PES's in out video and audio pes structure*/
extern int nr_video_pes;
extern int nr_audio_pes;

/* Flag if the video_pes wasn't finsished in the previous chunk */
extern int video_pes_not_finished;

/* Flag if the audio_pes wasn't finsished in the previous chunk */
extern int audio_pes_not_finished;


/* Tmp file nr */
extern int video_file_nr;
extern int audio_file_nr;

/* Total chunk number */
extern int chunk_nr;

/* Debug level */
extern int debug;

/* Video sync */
extern uint64_t med_ticks;
extern uint64_t last_tick;

/* Video start SEQ */
extern uint64_t video_seq_start;

/* Audio start tick */
extern uint64_t audio_start;

/* Delay/Diff between start of Audio/Video */
extern int64_t es_delay;

/* Skipp Marker */
extern int vskipp;
extern int askipp;


/* Audio check */
extern uint16_t wrong_audio;

/* Video Data Constants */
extern uint32_t pes_header_size;
extern int pes_time_offset;

/* Audio Data Constants */
extern int header_size;
extern uint32_t audio_pes_size;
extern int time_offset;

/* A52/AC3 */
#ifdef A52
extern int a52_okay;
#ifdef DEBUG
FILE * dbgfile;
#endif
#endif

/* Chunk size */
extern int chunk_size;

/* Write or not */
extern int write_file;

/* Start chunk */
extern int start_chunk;
